!#/usr/bin/php -q
<?php
/*
*   관리자 승인완료된 건을 매일 15:00에 수집된 예약 발송 테이블 데이터를 발송한다
*   실행시간
*   매일 15:00 실행
*/
// ini_set('max_execution_time', 600);

include $_SERVER['DOCUMENT_ROOT'].'/common/lib/comm.php';
include $_SERVER['DOCUMENT_ROOT'].'/common/lib/aligo.php';

if($_SERVER['REMOTE_ADDR'] == '220.86.24.199') {

}

$aligo = new Aligo();
// $aligo->getToken();
$aligo->getHourToken();
//
$token = $aligo->getAccessToken();			//token은 실제 방송시에 얻어서 발송 처리

//status 0: 발송대기, 2: 발송중, 9: 발송완료
$sql = "SELECT *
            FROM aligo_send
                WHERE type = '1'
					AND status = '0'
					AND reserve_date < now()
";


				//status = 0;
// echo $sql;
// exit;
$res = mysql_query($sql);

//발송대기중인 데이터 읽어옴
while($col = mysql_fetch_array($res)) {
	if($col['status'] != "0") continue;

	//발송중으로 변경
    $status_sql = "update aligo_send set
                        status = 2
						, token = '{$token}'
                    where cd_aligo = '".$col['cd_aligo']."' ";
    // echo $status_sql;
    // exit;
    $status_res = mysql_query($status_sql);
	//업데이트 됐다면
    if($status_res) {
		$ALIGO_DATA = array();
		$ALIGO_DATA['senderkey']	= $col['senderkey'];
		$ALIGO_DATA['recv_phone'] 	= $col['phone'];
		$ALIGO_DATA['subject'] 		= $col['subject'];
		$ALIGO_DATA['message'] 		= $col['message'];

		$response = $aligo->send_cron_sell_confirm_to_aap($ALIGO_DATA);
		unset($ALIGO_DATA);

		$response_sql = "update aligo_send set
								status      = 9
								, send_date = now()
								, token      = '".$token."'
								, code      = '".$response['code']."'
								, msg       = '".$response['message']."'
							where cd_aligo = '".$col['cd_aligo']."'";
		// echo $response_sql;
		mysql_query($response_sql, $connect);
	}
}
echo 'End';
